Skip to navigation

Get form libraries

View as Markdown

Returns a list of form libraries to which the current user has access.

Permissions

All users can use this method, but the results will differ based on whether the company has asked Docusign to enable RequireOfficeLibraryAssignments functionality. If this functionality is enabled for the account, then the list is filtered based on the offices that the user is in and the libraries that are assigned to those offices. When RequireOfficeLibraryAssignments is not enabled, the API returns all results.

Authentication

Authorizationstring

JWT Authorization header using the Bearer scheme. Example: “Authorization: Bearer {token}”

Path parameters

accountIdstringRequired

The globally unique identifier (GUID) for the account.

Query parameters

countintegerOptionalDefaults to 100

The number of results to return. This value must be a number between 1 and 100 (default).

startPositionintegerOptionalDefaults to 0

The starting zero-based index position of the results set. The default value is 0.

Response

Successfully retrieved Form Libraries.
formsLibrarySummarieslist of objectsOptional
A list of form libraries.
resultSetSizeintegerOptional
The number of results returned in this response.
startPositionintegerOptional

The starting zero-based index position of the results set. When this property is used as a query parameter, the default value is 0.

endPositionintegerOptionalRead-only

The last zero-based index position in the result set.

nextUristringOptional

The URI for the next chunk of records based on the search request. This property is null for the last set of search results.

priorUristringOptional

The URI for the previous chunk of records based on the search request. This property is null for the first set of search results.

totalRowCountintegerOptional
The number of results in this reponse.

Errors

400
Bad Request Error
401
Unauthorized Error